# eric4.Helpviewer.SearchDialog

Module implementing the search dialog for the helpviewer.

### Classes

SearchDialog | Module implementing the search dialog for the helpviewer.

### Functions

None

## SearchDialog

Module implementing the search dialog for the helpviewer.

### Derived from

QDialog, Ui_SearchDialog

### Methods

SearchDialog | Constructor
__findNextPrev | Private slot to find the next occurrence of text.
findNext | Public slot to find the next occurrence.
findPrevious | Public slot to find the previous occurrence.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_findButton_clicked | Private slot to find the entered text in the displayed page.
on_findtextCombo_editTextChanged | Private slot to enable/disable the find buttons.
showFind | Public method to display this dialog.

#### SearchDialog (Constructor)

SearchDialog(parent = None, name = QString(), fl = Qt.WindowFlags(Qt.Widget))

Constructor

parent
  parent widget of this dialog (QWidget)
name
  object name of the dialog (QString)
fl
  window flags

#### SearchDialog.__findNextPrev

__findNextPrev(backwards)

Private slot to find the next occurrence of text.

backwards
  flag indicating a backwards search (boolean)

#### SearchDialog.findNext

findNext()

Public slot to find the next occurrence.

#### SearchDialog.findPrevious

findPrevious()

Public slot to find the previous occurrence.

#### SearchDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### SearchDialog.on_findButton_clicked

on_findButton_clicked()

Private slot to find the entered text in the displayed page.

#### SearchDialog.on_findtextCombo_editTextChanged

on_findtextCombo_editTextChanged(txt)

Private slot to enable/disable the find buttons.

#### SearchDialog.showFind

showFind()

Public method to display this dialog.

Up